Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLAnnotationInstanceImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLAnnotationInstanceImpl

All Implemented Interfaces:
  Cloneable, OWLAnnotationInstance, OWLObject, Serializable

public class OWLAnnotationInstanceImpl
extends OWLObjectImpl
implements OWLAnnotationInstance

OWLAnnotationInstanceImpl.java Created: Fri May 09 09:33:05 2003

Version:
  $Id: OWLAnnotationInstanceImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLAnnotationInstanceImpl(OWLDataFactoryImpl factory, OWLObject subj, OWLAnnotationProperty prop, Object cont)`

Method Summary
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`Object` | `getContent()` This is either an individual, a URI reference or a data literal
`OWLAnnotationProperty` | `getProperty()`
`OWLObject` | `getSubject()`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Constructor Detail

### OWLAnnotationInstanceImpl

    public OWLAnnotationInstanceImpl(OWLDataFactoryImpl factory,
                                     OWLObject subj,
                                     OWLAnnotationProperty prop,
                                     Object cont)

Method Detail

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### getSubject

    public OWLObject getSubject()
                         throws OWLException

  Specified by:
    `getSubject` in interface `OWLAnnotationInstance`
    `OWLException`

### getProperty

    public OWLAnnotationProperty getProperty()
                                      throws OWLException

  Specified by:
    `getProperty` in interface `OWLAnnotationInstance`
    `OWLException`

### getContent

    public Object getContent()
                      throws OWLException

  Description copied from interface: `OWLAnnotationInstance`
  This is either an individual, a URI reference or a data literal

  Specified by:
    `getContent` in interface `OWLAnnotationInstance`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb